<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
if($_GET['mod']=='obmennik'){
$textl='Обменник';
}else{
$textl='Золото';
}
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
if(!isset($user_id)){
echo "Только для зарегестрированых";
} else {
$d=time()+(3600*24);
$obmen=$udata['lvl'];
$summa=$udata['lvl']*500;

$avol=mysql_fetch_array(mysql_query("SELECT * FROM `limit` WHERE `usr` = '$log'"));
if($avol==0){
mysql_query("INSERT INTO `limit` SET `usr`='$log'");
}

echo'<div class="main"><div class="block_zero center"><span style="color: #9bc;">Золото - самый ценный ресурс!</span></div><div class="mini-line"></div>';

switch($_GET['mod']){

default:
if(isset($_GET['log'])){

if($_GET['log']=='obmen' && $udata['money']>=$summa){
mysql_query("UPDATE `users` SET `almaz` = `almaz`+'$obmen', `money` = `money`-'$summa' WHERE `usr` = '$log'");
mysql_query("UPDATE `limit` SET `almaz` = '$d' WHERE `usr` = '$log'");
header('Location: buy.php?mod=obmennik');
$_SESSION['message'] = 'Вы успешно обменяли серебро на золото!';
exit();
}
if($_GET['log']=='500' && $udata['almaz']>=1){
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'1', `money` = `money`+'500' WHERE `usr` = '$log'");
header('Location: buy.php?mod=obmennik');
$_SESSION['message'] = 'Вы успешно обменяли золото на серебро!';
exit();
}
elseif($_GET['log']=='5000' && $udata['almaz']>=10){
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'10', `money` = `money`+'5000' WHERE `usr` = '$log'");
header('Location: buy.php?mod=obmennik');
$_SESSION['message'] = 'Вы успешно обменяли золото на серебро!';
exit();
}
elseif($_GET['log']=='50000' && $udata['almaz']>=100){
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'100', `money` = `money`+'50000' WHERE `usr` = '$log'");
header('Location: buy.php?mod=obmennik');
$_SESSION['message'] = 'Вы успешно обменяли золото на серебро!';
exit();
}else{
header('Location: buy.php?mod=obmennik');
$_SESSION['err']='Не достаточно золота!';
exit;
}
}
$avo=mysql_fetch_array(mysql_query("SELECT * FROM `limit` WHERE `usr` = '$log'"));
if($d<($avo['almaz']+(3600*24))){
$plus=FALSE;
}else{
$plus='<span style="color: #3c3;">(+)</span>';
}
echo'<a href="buy.php?mod=obmennik"><div class="block_zero"><img src="image/icon/almaz.png" alt="*"> Обменник золота '.$plus.'</div></a><div class="mini-line"></div>';

echo'<a href="buy.php?mod=unitpay"><div class="block_zero"><img src="image/icon/almaz.png" alt="*"> UnitPay</div></a></div><div class="mini-line"></div>';

echo'<div class="main">';

echo"

<a href='worldkassa/index.php?gold=105'><div class='block_zero'><img class='float-left' src='image/donat/0.png' style='margin-left:1px; margin-right:10px;' alt='*'><span style='color: #ffffff;'><b>Горсть золота</b><br><img src='image/icon/almaz.png' alt='*'> 100 золота<br><span style='color: #9bc;'>5%</span> бонус</div><div class='dot-line'></div></a></span>

<a href='worldkassa/index.php?gold=550'><div class='block_zero'><img class='float-left' src='image/donat/-1.png' style='margin-left:1px; margin-right:10px;' alt='*'><span style='color: #ffffff;'><b>Мешок золота</b><br><img src='image/icon/almaz.png' alt='*'> 500 золота<br><span style='color: #9bc;'>10%</span> бонус</div><div class='dot-line'></div></a></span>

<a href='worldkassa/index.php?gold=1150'><div class='block_zero'><img class='float-left' src='image/donat/-2.png' style='margin-left:1px; margin-right:10px;' alt='*'><span style='color: #ffffff;'><b>Ларец золота</b><br><img src='image/icon/almaz.png' alt='*'> 1000 золота<br><span style='color: #9bc;'>15%</span> бонус</div><div class='dot-line'></div></a></span>

<a href='worldkassa/index.php?gold=6000'><div class='block_zero'><img class='float-left' src='image/donat/-3.png' style='margin-left:1px; margin-right:10px;' alt='*'><span style='color: #ffffff;'><b>Сундук золота</b><br><img src='image/icon/almaz.png' alt='*'> 5000 золота<br><span style='color: #9bc;'>20%</span> бонус</div><div class='dot-line'></div></a></span>

<a href='worldkassa/index.php?gold=12500'><div class='block_zero'><img class='float-left' src='image/donat/-4.png' style='margin-left:1px; margin-right:10px;' alt='*'><span style='color: #ffffff;'><b>Сокровище богов</b><br><img src='image/icon/almaz.png' alt='*'> 10000 золота<br><span style='color: #9bc;'>25%</span> бонус</span></span></div><div class='dot-line'></div></a></div>";

break;

case 'obmennik':
echo'<div class="main"><div class="block_zero center"><img src="image/logo/gold.png" alt="logo"></div><div class="dot-line"></div><div class="block_zero center"><span style="color: #9bc;">Обмен: <img src="image/icon/money.png" alt="*"> Серебро -> <img src="image/icon/almaz.png" alt="*"> Золото</span></div><div class="mini-line"></div>';

$rel = mysql_query("SELECT * FROM `limit` WHERE `usr` = '$log'");
$avol=mysql_num_rows($rel);
$avo=mysql_fetch_array($rel);
$nachalo=$avo['almaz']-time();

if($d<($avo['almaz']+(3600*24))){
echo'<div class="block_zero center"><span style="color: #999;">До следующего обмена: '.Sec2Time($nachalo).'</span></div>';
}
elseif($udata['money']<$summa){
echo'<div class="block_zero center"><span style="color: #999;">Недостаточно серебра для обмена на золото</span></div>';
}else{
echo'<a href="buy.php?log=obmen"><div class="block_zero"><img src="image/icon/arrow.png" alt="*"> Обменять <img src="image/icon/money.png" alt="*"><span style="color: #ffffff;"> '.$summa.' на <img src="image/icon/almaz.png" alt="*"> '.$obmen.'</span></div></a>';
}

echo'<div class="mini-line"></div><ul class="hint"><li>Обмен <img src="image/icon/money.png" alt="*"> серебра на <img src="image/icon/almaz.png" alt="*"> золото производится один раз в 24 часа<br></li><li>Каждый уровень Вашего героя позволяет обменивать на <img src="image/icon/almaz.png" alt="*"> 1 золото больше</li></ul>';

echo'</div><div class="mini-line"></div><div class="block_zero center"><span style="color: #9bc;">Обмен: <img src="image/icon/almaz.png" alt="*"> Золото -> <img src="image/icon/money.png" alt="*"> Серебро</span></div><div class="mini-line"></div>';
echo'<div class="menuList">';
if($udata['almaz']<1){
echo'<div class="block_zero center"><span style="color: #999;">Недостаточно золота для обмена на серебро</span></div>';
}else{
echo'<li><a href="buy.php?log=500"><img src="image/icon/arrow.png" alt="*">Обменять <img src="image/icon/almaz.png" alt="*"><span style="color: #ffffff;">1 на <img src="image/icon/money.png" alt="*">500</span></a></li>';
}
if($udata['almaz']<10){
echo'';
}else{
echo'<li><a href="buy.php?log=5000"><img src="image/icon/arrow.png" alt="*">Обменять <img src="image/icon/almaz.png" alt="*"><span style="color: #ffffff;">10 на <img src="image/icon/money.png" alt="*">5000</span></a></li>';
}
if($udata['almaz']<100){
echo'';
}else{
echo'<li><a href="buy.php?log=50000"><img src="image/icon/arrow.png" alt="*">Обменять <img src="image/icon/almaz.png" alt="*"><span style="color: #ffffff;">100 на <img src="image/icon/money.png" alt="*">50000</span></a></li>';
}
echo'</div></div>';

break;







case 'unitpay':

echo'
<div class="block_zero center">
<form action="https://unitpay.ru/pay/13777-04db5" method="post">
    <label for="account">Ник персонажа<br></label> <input class="text" type="text" id="account" name="account" value=""><br><br>
    <label for="sum">Количество монет<br></label>
    <select id="sum" name="sum">
        <option value="10">100 монет - 10 рублей</option>
        <option value="50">500 монет - 50 рублей</option>
        <option value="100">1000 монет - 100 рублей</option>
        <option value="500">5000 монет - 500 рублей</option>
        <option value="1000">10000 монет - 1000 рублей</option>
    </select><br><br>
    <input type="hidden" name="desc" value="Покупка внутриигровой валюты">
    <span class="btn">
    <span class="end">
    <input class="label" type="submit" value="Оплатить">
    </span>
    </span>
</form>
</div>
';


break;









case 'torg':

if(empty($_POST['kolvo'])){
echo '
<b>Обмен монет на Алмазы</b></div><div class="m_bg">У вас '.$udata['money'].' монет<br />У вас '.$udata['almaz'].' алмазов<br />
<div class="info">1 золото = 500 монет<br />Через Торговца Драгоценностями можно обменять до 10 алмазов, 1 раз в сутки.
</div>Введите кол-во алмазов:</br>';
echo "<form action=\"almaz.php?mod=obmen\" method=\"post\">";
echo '<input name="kolvo"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';
echo"$div <a href=\"almaz.php?\">Назад</a>";
}
break;






case 'obmen':
$rel = mysql_query("SELECT * FROM `limit` WHERE `usr` = '$log'");
$avol=mysql_num_rows($rel);
$avo=mysql_fetch_array($rel);
$ost = round(24-($d-$avo['almaz'])/3600, 2);
if($_POST['kolvo'] < 1){
echo "Неверное число";
break;
}
if($_POST['kolvo'] > 10){
echo "Нельзя обменять больше десяти алмазов</br>";
echo"<a href=\"almaz.php?\">Назад</a>";
}else{
$alm=round($_POST['kolvo']);
$m = $alm*500;
if(($udata['money'] - $m) < 0){
echo "Нехватает монет</br><a href=\"almaz.php?\">Назад</a>";
break;
}
if($d<($avo['almaz']+86400)){
echo"Алмазы можно менять раз в сутки!Осталось $ost часов</br>";
echo"<a href=\"almaz.php?\">Назад</a>";
include($path.'files/down.php');exit;
}
else{
mysql_query("UPDATE `users` SET
`almaz` =  '$udata[almaz]'+'$alm', `money` =  '$udata[money]'-'$m' WHERE `usr` = '$log' ");
mysql_query("UPDATE `limit` SET `almaz` = '$d' WHERE `usr` = '$log'");
if($avol==0){mysql_query("INSERT INTO `limit` SET `usr`='$log'");}
echo'<img src="pic/yes.png" alt="*"/> Вы купили '.$alm.' алмазов!<br/>';
echo"<a href=\"almaz.php?\">Назад</a>";
}}
break;






case 'info':
$req = mysql_query("SELECT * FROM `arti` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include('files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

echo"<b>$mag[name]</b><br/></div><div class='menu'>
<img src=\"pic/pers/art/$mag[id].png\" alt=\"a\"/><br>
<font color='#ffc22b'><b>Параметры:</b><br></font>
Жизнь: <b>$mag[hp]</b><br>
Мана: <b>$mag[mp]</b><br>
Сила: <b>$mag[sila]</b><br>
Ловкость: <b>$mag[lovk]</b><br>
Физ. защита: <b>$mag[prot]</b><br>
Крит: <b>$mag[krit]%</b><br>
Крит-урон: <b>$mag[ukrit]%</b><br>
<font color='#ffc22b'><b>Требования:</b><br></font>
Уровень: <b>$mag[nlvl]</b><br>
";
echo"</div><div class='menu'>";
echo'<a href="javascript:history.go(-1)">« Назад</a>';
break;

case 'ask':
echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"almaz.php?mod=go&id=$_GET[id]\">Да</a><br/>";
echo"<a href=\"almaz.php?mod=weapon\">Нет</a>";
break;

case 'res':
if(empty($_POST[res]) or empty($_POST[alm])){
echo"<img src=\"/pic/pers/nef.png\" alt=\"*\"/>
 Покупка ресурсов $div";
echo '<form action="almaz.php?mod=res" method="post">';
echo"Выберите ресурс:<br>
<select name=\"res\">
<option value=\"ser\">Серебро</option>
<option value=\"nef\">Нефрит</option>
<option value=\"obs\">Обсидиан</option>
<option value=\"kam\">Камень</option>
<option value=\"jel\">Железо</option>
</select><br/>
Стоимость 15 единиц - <b>1</b> алмаз.<br>
Для железа и камня: 30 единиц - <b>1</b> алмаз.<br>
Введите кол-во алмазов:<br>
<input class=\"input\" type=\"text\" value=\"1\" size=\"15\" name=\"alm\" maxlength=\"5\"/><br/>";
echo '<input class="button" type="submit" value="Купить" /></form>';}else{
if($_POST[alm]<1){echo"<img src=\"/pic/no.png\" alt=\"*\"/> Неверная сумма! <br> 
<a href=\"almaz.php?mod=res\">Назад</a>";break;}
$_POST[alm]=htmlspecialchars(addslashes(stripslashes($_POST['alm'])));
$cena=floor($_POST[alm]);
if($udata[almaz]-$cena<0){echo"<img src=\"/pic/no.png\" alt=\"*\"/> Нехватает алмазов! <br> 
<a href=\"almaz.php?mod=res\">Назад</a>";break;}

if($_POST[res]=="ser"){$post="serebro";$st=15;$name="Серебра";}
if($_POST[res]=="nef"){$post="nefrit";$st=15;$name="Нефрита";}
if($_POST[res]=="obs"){$post="obsidian";$st=15;$name="Обсидиана";}
if($_POST[res]=="kam"){$post="kamen";$st=30;$name="Камня";}
if($_POST[res]=="jel"){$post="jelezo";$st=30;$name="Железа";}
$kol=$st*$cena;
$jel = mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$log' and `lat_name`= '$post'");
$res = mysql_fetch_array($jel);
$kols= $res[kol]+$kol;
mysql_query("UPDATE `res` SET `kol` = '$kols' WHERE `usr` = '$log' and `lat_name`='$post'") or die (mysql_error());
mysql_query("UPDATE `users` SET `almaz` =  '$udata[almaz]'-'$cena' WHERE `usr` = '$log' ");
$_POST[res]=0;
echo"<img src=\"/pic/yes.png\" alt=\"*\"/> Покупка успешно завершена! Вы купили <b>$kol</b> $name<br> 
<a href=\"almaz.php?mod=res\">Назад</a>";break;
}
break;

case 'skill':
if($udata[lvl]<10){echo"<img src=\"pic/no.png\" alt=\"fp\"/> Доступно с <b>10</b> Уровня <br>
<a href=\"almaz.php?\">Назад</a>";break;}
echo"<img src=\"pic/main/fp.png\" alt=\"fp\"/> Чем больше статов Вы купите тем дороже они будут стоить<br>";
echo'Стоимость: ';
break;

case 'weapon':
if(!isset($_GET[tip])){
echo"<div class='a'>Лавка Супер-оружий</div></div><div class='menu'><ul class='nav'>";
echo"<li><a href=\"almaz.php?mod=weapon&tip=weapon\"><img src='pic/red.png' alt='*'/> Оружие</a></li>";
echo"<li><a href=\"almaz.php?mod=weapon&tip=body\"><img src='pic/pers/verh.png' alt='*'/> Броня</a></li></ul>
$div<a href=\"almaz.php?\">« Назад</a>";
}else{
$_GET[tip]=htmlspecialchars(addslashes(stripslashes($_GET['tip'])));
if($_GET[tip]=="weapon"){$tip="weapon";
$req = mysql_query("SELECT * FROM `arti` WHERE `tip`='$tip' ORDER by `cena` ASC ") or die (mysql_error());}
if($_GET[tip]=="body"){$tip="weapon";
$req = mysql_query("SELECT * FROM `arti` WHERE `tip`!='$tip' ORDER by `cena` ASC ") or die (mysql_error());}
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Пока нет вещей</br><a href=\"almaz.php?mod=weapon\">Назад</a>";break;}else{
echo"Здесь представлены только лучшие, новые вещи!$div ";
///////////ПОКУПКA////////
if(isset($_GET[shmot])){

switch($_GET[act]){

default:
break;
case 'sell':
$ids = htmlspecialchars(addslashes(stripslashes($_GET['ids'])));
$rep = mysql_query("SELECT * FROM `arti` WHERE`id`='$ids'");
$avtop=mysql_num_rows($rep);
if($avtop==0){
echo'Ошибка, такой вещи нет!';break;}
$mags = mysql_fetch_array($rep);
/////////////
$nmoney=$udata[almaz]-$mags[cena];
if($nmoney<0){
echo'Нехватает алмазов!';break;
exit;}
$stoim=$mags[cena]*700;
$img="$mags[id].png";
mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$log',
        `tip` = '$mags[tip]',
        `kompl` = '$mags[kompl]',
        `proch` = '10',
        `name` = '$mags[name]',
        `cena` = '$stoim',
        `hp` = '$mags[hp]',
        `mp` = '$mags[mp]',
        `krit` = '$mags[krit]',
        `ukrit` = '$mags[ukrit]',
        `sila` = '$mags[sila]',
        `lovk` = '$mags[lovk]',
        `prot` = '$mags[prot]',
        `img` = '$img',
        `nlvl` = '$mags[nlvl]',
        `image` = 'not'") or die (mysql_error());
mysql_query("UPDATE users SET almaz = '$nmoney' WHERE usr = '$log'");
echo"Вещь <b>$mags[name]</b> куплена и помещена в инвентарь!<br/>
Алмазов потрачено: $mags[cena]<br/>
Алмазов осталось: $nmoney<br/>";
echo"<a href=\"almaz.php?mod=weapon\">Закончить покупку</a> $div";
break;

case 'ask':
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"almaz.php?mod=weapon&tip=$_GET[tip]&shmot&act=sell&ids=$id\">Да</a><br/>";
echo"<a href=\"almaz.php?mod=weapon&tip=$_GET[tip]\">Нет</a>$div";
break;}
}
//////////////HAPPY END////////

$am=0;
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="#AAAAAA";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надето!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#FF6633'> Хуже $sta</font>";}
$am=$am+$mag[cena];
echo"<div class='menus'><img class=\"float-left\" src=\"pic/pers/art/$mag[id].png\" style=\"margin-right:6px;\"/><a href=\"almaz.php?mod=info&id=$mag[id]\">
<font color='$font'>$mag[name]</font> </a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex <img src='pic/almaz.png' alt='*'/>$mag[cena] 
[<a href=\"almaz.php?mod=weapon&tip=$_GET[tip]&shmot&act=ask&id=$mag[id]\">купить</a>]";
echo"</div><div class='line'></div>";}
echo"<a href=\"almaz.php?mod=weapon\">Назад</a>";

}
}
break;

}
}
echo'</div>';
include($path.'files/down.php');
?>